### Function

# GLib TestLogFatalFunc

since: 2.22

#### Declaration

    gboolean
    (* GTestLogFatalFunc) (
      const gchar* log_domain,
      GLogLevelFlags log_level,
      const gchar* message,
      gpointer user_data
    )

#### Description

Specifies the prototype of fatal log handler functions.

Available since: 2.22

#### Parameters

`log_domain`

  Type: `const gchar*`

  The log domain of the message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`log_level`

  Type: `GLogLevelFlags`

  The log level of the message (including the fatal and recursion flags)

`message`

  Type: `const gchar*`

  The message to process.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data, set in `g_test_log_set_fatal_handler()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the program should abort, `FALSE` otherwise.